<?php
namespace models;

/**
 * IUser interface
 * @version 2.0
 */
interface IUser {

    /**
     * @return boolean
     */
    function isAuthenticated();

    /**
     * @return string
     */
    function getName();

    /**
     * @return array
     */
    function getPermissions();

    /**
     * @return boolean
     */
    function hasPermission( $name );
    
}
